# -*- coding:utf-8 -*-
'''
@Author：Robin.lau
@Email: 329080237@qq.com
@Wechat: 15618110227
@File: urls.py
@Date: 2021/2/27 13:45
@Description: Api地址配置文件
'''
from django.urls import path
from web.models import *
from .api import *

urlpatterns = [
    #首页--我的提问
    path('myQuestion/', myQuestion.as_view()),

    #首页--每日一答
    path('todoQuestion/', todoQuestion.as_view()),

    #首页--获取我的信息
    path('getMyinfo/', getMyinfo.as_view()),

    #首页-- 热门问答
    path('hotQuestion/', hotQuestion.as_view()),

    #首页-- 热门项目
    path('hotProject/', hotProject.as_view())
]
